# CONTRIBUTING

Welcome on our project and thank you for your interest. If you want to contribute to a project and make it better, your help is very welcome. 


# Code of conduct

Please start by reading our [code of conduct](./CODE_OF_CONDUCT.md). You may also find more details in our [README.md](./README.md)

# Pull request 

Please follow this sequence to

<ol>
    <li>Create a personal fork of the project on Github.</li>
    <li>Clone the fork on your local machine. Your remote repo on Github is called "origin".</li>
    <li>Add the original repository as a remote called "upstream".</li>
    <li>If you created your fork a while ago be sure to pull upstream changes into your local repository.</li>
    <li>Create a new branch to work on. Branch from "develop"!</li>
    <li>Implement/fix your feature, comment your code.</li>
    <li>Follow the code style of the project, including indentation.</li>
    <li>Add or change the documentation as needed.</li>
    <li>Commit changes to your own branch</li>
    <li>Push your branch to your fork on Github, the remote "origin".</li>
    <li>From your fork open a pull request in the correct branch. Target the project's develop branch!</li>
    <li>If the maintainer requests further changes just push them to your branch. The PR will be updated automatically.</li>
    <li>Once the pull request is approved and merged you can pull the changes from upstream to your local repo and delete your extra branch(es).</li>




</ol>
And last but not least: Always write your commit messages in the present tense. Your commit message should describe what the commit, when applied, does to the code – not what you did to the code.
